// #autoload
// #name = SpiderTransCompass
// #version = 1.0
// #date = December 27, 2002
// #author = Khufu, a.k.a. Spider]-[acker
// #warrior =  Khufu
// #email = dkarachnid@adelphia.net
// #description = Lets you choose the transparency for your compass hud.
// #status = beta
// #category = SpiderScripts
// #config = SpiderTransCompassOptions

exec("prefs/TransCompass.cs");

package SpiderTransCompass {

function clientCmdSetWeaponsHudActive(%slot) {
      parent::clientCmdSetWeaponsHudActive(%slot);
      compassHud.opacity = $SpiderTransCompass::CompassOpacity;
      compassHud.setVisible(true);
   }

function SpiderSave() {
    $SpiderTransCompass::CompassOpacity = SpiderTransCompassSlider.value;
    export("$SpiderTrans::*", "prefs/TransCompass.cs", false);
}

function CreateSpiderTransCompassOptions() {

//--- OBJECT WRITE BEGIN ---
new GuiControl(SpiderTransCompassOptions) {
	profile = "GuiDefaultProfile";
	horizSizing = "right";
	vertSizing = "bottom";
	position = "0 0";
	extent = "640 480";
	minExtent = "8 8";
	visible = "1";
	hideCursor = "0";
	bypassHideCursor = "0";
	helpTag = "0";

	new ShellPaneCtrl() {
		profile = "ShellPaneProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "160 113";
		extent = "354 135";
		minExtent = "48 92";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		text = "Options";
		longTextBuffer = "0";
		maxLength = "255";
		noTitleBar = "0";
	};
	new GuiTextCtrl() {
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "187 165";
		extent = "145 19";
		minExtent = "8 8";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		text = "Compass Hud Transparency:";
		longTextBuffer = "0";
		maxLength = "255";
	};
	new ShellSliderCtrl(SpiderTransCompassSlider) {
		profile = "ShellSliderProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "336 161";
		extent = "155 24";
		minExtent = "12 24";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "value";
		helpTag = "0";
		range = "0.000000 1.000000";
		ticks = "1000";
		//value = "1.0";
		usePlusMinus = "1";
	};
 new ShellBitmapButton(SpiderTransCompassSave) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "269 189";
					extent = "74 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "SpiderTransCompass::Set();";
					helpTag = "0";
					text = "SAVE";
					simpleStyle = "0";
				};
 new ShellBitmapButton(SpiderTransCompassReset) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "336 189";
					extent = "74 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "SpiderReset();";
					helpTag = "0";
					text = "RESET";
					simpleStyle = "0";
				};
};
}

function SpiderTransCompass::Set() {
    $SpiderTransCompass::CompassOpacity = SpiderTransCompassSlider.value;
    export("$SpiderTransCompass::*", "prefs/TransCompass.cs", false);
}

function SpiderTransCompass::onWake() {
    SpiderTransCompassSlider.setValue($SpiderTransCompass::CompassOpacity);
}

function SpiderReset() {
    SpiderTransCompassSlider.value = "1.0";
    SpiderTransCompass::Set();
}

};
CreateSpiderTransCompassOptions();
SpiderTransCompass::onWake();
activatePackage(SpiderTransCompass);
